# Interface UndoableEditListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `UndoManager`

public interface UndoableEditListener extends EventListener
Interface implemented by a class interested in hearing about undoable operations.

## Method Summary

Modifier and Type
Method
Description
`void`
`undoableEditHappened(UndoableEditEvent e)`
An undoable edit happened

## Method Details

### undoableEditHappened

void undoableEditHappened(UndoableEditEvent e)
An undoable edit happened

Parameters:
  `e` - an `UndoableEditEvent` object